Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 148161)
+++ apps/app_voicemail.c	(working copy)
@@ -63,12 +63,8 @@
 </category>
  ***/
 
-/* It is important to include the IMAP_STORAGE related headers
- * before asterisk.h since asterisk.h includes logger.h. logger.h
- * and c-client.h have conflicting definitions for AST_LOG_WARNING and
- * AST_LOG_DEBUG, so it's important that we use Asterisk's definitions
- * here instead of the c-client's 
- */
+#include "asterisk.h"
+
 #ifdef IMAP_STORAGE
 #include <ctype.h>
 #include <signal.h>
@@ -88,8 +84,6 @@
 #endif
 #endif
 
-#include "asterisk.h"
-
 ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 
 #include "asterisk/paths.h"	/* use ast_config_AST_SPOOL_DIR */
@@ -99,6 +93,7 @@
 #include <time.h>
 #include <dirent.h>
 
+#include "asterisk/logger.h"
 #include "asterisk/lock.h"
 #include "asterisk/file.h"
 #include "asterisk/channel.h"
Index: include/asterisk.h
===================================================================
--- include/asterisk.h	(revision 148161)
+++ include/asterisk.h	(working copy)
@@ -26,8 +26,6 @@
 
 #include "asterisk/compat.h"
 
-#include "asterisk/logger.h"
-
 /* Default to allowing the umask or filesystem ACLs to determine actual file
  * creation permissions
  */
Index: main/tdd.c
===================================================================
--- main/tdd.c	(revision 148161)
+++ main/tdd.c	(working copy)
@@ -35,6 +35,7 @@
 #include <math.h>
 #include <ctype.h>
 
+#include "asterisk/logger.h"
 #include "asterisk/ulaw.h"
 #include "asterisk/tdd.h"
 #include "asterisk/fskmodem.h"
Index: main/cryptostub.c
===================================================================
--- main/cryptostub.c	(revision 148161)
+++ main/cryptostub.c	(working copy)
@@ -28,6 +28,7 @@
 ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 
 #include "asterisk/crypto.h"
+#include "asterisk/logger.h"
 
 static struct ast_key *stub_ast_key_get(const char *kname, int ktype)
 {
Index: res/res_config_sqlite.c
===================================================================
--- res/res_config_sqlite.c	(revision 148161)
+++ res/res_config_sqlite.c	(working copy)
@@ -80,6 +80,7 @@
 
 #include <sqlite.h>
 
+#include "asterisk/logger.h"
 #include "asterisk/app.h"
 #include "asterisk/pbx.h"
 #include "asterisk/cdr.h"
